2019-08-21 22:25 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005178Spring engineGeneralpublic2018-03-12 00:42
ReporterBeherith 
Assigned To 
PrioritylowSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005178: "Spring style" camera goes beneath the terrain if minimap is middle clicked and camera was below terrain height at new position
DescriptionIf I zoom in at a low elevation, the middle click on the minimap to a higher elevation, the "Spring style" (ctrl f3, default cam iirc) camera moves to the new location, but stays below the terrain. The camera must be zoomed up through culled terrain to get above it. One can see below the terrain at the new location.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016100

hokomoko (developer)

I tried to reproduce it without much success, can you give me a map I can test on?

~0016101

silentwings (reporter)

Last edited: 2016-03-17 11:27

View 4 revisions

I can reproduce it, here's a demo on dsd with -147, with bar $VERSION at rev 5283.

You can watch my camera in the demo using the player list, click name -> watch camera. The steps (which are not so clear because cam interpolation was removed and we didn't re-implement it game side yet) are
(1) set spring cam
(2) move focus to flat southern plain
(3) zoom in close to ground
(4) click with middle mouse on minimap, on one of the high northern hills, to move the camera x,z (but not y) to their location
(5) you're now inside a hill

~0018880

Kloot (developer)

fixed for 103 by 8ca00cab
+Notes

-Issue History
Date Modified Username Field Change
2016-03-16 21:31 Beherith New Issue
2016-03-17 11:01 hokomoko Note Added: 0016100
2016-03-17 11:25 silentwings Note Added: 0016101
2016-03-17 11:25 silentwings File Added: 20160317_102421_DeltaSiegeDry_101.0.1-147-g6feefbe develop.sdfz
2016-03-17 11:25 silentwings Note Edited: 0016101 View Revisions
2016-03-17 11:26 silentwings Note Edited: 0016101 View Revisions
2016-03-17 11:27 silentwings Note Edited: 0016101 View Revisions
2018-03-12 00:42 Kloot Status new => resolved
2018-03-12 00:42 Kloot Resolution open => fixed
2018-03-12 00:42 Kloot Note Added: 0018880
+Issue History